PermuteDocs
Dashboard

Workspaces · workspacesCreate

Create a workspace

Creates a private workspace. Requires an organization-scoped request and write access to all workspaces.

POST/v1/workspaces
betaapiKeyorganization

When to use

Provision a new workspace before uploading or querying its data.

For agents

Requires an organization-scoped request and a write grant for all workspace resources.

Example

typescript
import { PermuteClient } from '@permute/sdk';

const orgClient = new PermuteClient({
  apiKey: process.env.PERMUTE_API_KEY!,
});

const result = await orgClient.workspaces.create({
  "name": "Finance",
  "context": "Revenue, customers, and operating performance"
});

Request body

json
{
  "name": "Finance",
  "context": "Revenue, customers, and operating performance"
}

Response

json
{
  "data": {
    "id": "wksp_finance123",
    "organizationId": "org_acme123",
    "name": "Finance",
    "context": "Revenue, customers, and operating performance",
    "visibility": "private",
    "createdAt": "2026-07-14T12:00:00.000Z",
    "updatedAt": "2026-07-14T12:00:00.000Z"
  }
}